Fetch User Information
Returns the user's details including birthday, anniversary, gender, zip code, etc.
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent requiredFor details, see User Agent.
Body
application/json
- Type: stringclientrequired
Client key of the business
- Type: stringauthentication
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
Responses
- application/json
Request Example for get/api/auth/users
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/users \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept: application/json' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--data '{
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE",
"client": "client_key_goes_here"
}'
{
"address_line1": "ADDRESS_GOES_HERE",
"anniversary": "2013-07-13",
"avatar_remote_url": null,
"birthday": "1985-03-21",
"city": "Mountain View",
"created_at": "2016-03-15T06:33:42Z",
"email": "test@example.com",
"email_verified": false,
"fb_uid": null,
"first_name": "FIRST_NAME_GOES_HERE",
"gender": "male",
"id": 111111111,
"last_name": "LAST_NAME_GOES_HERE",
"state": "California",
"updated_at": "2016-03-15T06:38:34Z",
"zip_code": "94040",
"allow_multiple": false,
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE",
"favourite_locations": "304988",
"favourite_store_numbers": "2310",
"marketing_email_subscription": true,
"marketing_pn_subscription": true,
"passcode_configured": false,
"profile_field_answers": {},
"referral_code": "REFERRAL_CODE_GOES_HERE",
"referral_path": "URL_GOES_HERE",
"secondary_email": null,
"terms_and_conditions": false,
"title": "Mr.",
"user_as_barcode": "1111111",
"user_as_qrcode": "QR_CODE_GOES_HERE",
"user_code": "P11111111",
"user_id": 111111111,
"user_relations": [
{
"id": 774,
"name": "FIRST_NAME_GOES_HERE LAST_NAME_GOES_HERE",
"relation": "spouse",
"birthday": "1984-07-18"
}
],
"wants_menu_notifications": false,
"work_zip_code": null,
"mindbody_client_id": null,
"preferred_locale": "",
"phone": "1111111111",
"migrate_status": false,
"email_unsubscribe": false,
"allow_push_notifications": true,
"facebook_signup": false,
"communicable_email": "test@example.com",
"access_token": "ACCESS_TOKEN_GOES_HERE",
"expiration_date": "2018-07-31",
"age_verified_status": true
}